<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Install Self-Signed Certificate</title>
	<link rel="stylesheet" href="main.css">
</head>
<body>
	<main>
		<h1>Install Self-Signed Certificate</h1>
		<p>To use this application, you need to install the self-signed SSL certificate.</p>

		<section on-platform="win">
			<h2>Instructions for Windows</h2>
			<ol>
				<li>Double-click the <a href="#server.cert">server.cert</a> file to open the certificate installation wizard.</li>
				<li>Select "Install Certificate" and choose "Local Machine".</li>
				<li>Select "Place all certificates in the following store" and choose "Trusted Root Certification Authorities".</li>
				<li>Complete the wizard and confirm the installation.</li>
				<li>Restart the nan•web application</li>
			</ol>
		</section>

		<section on-platform="mac">
			<h2>Instructions for Mac</h2>
			<ol>
				<li>Open the Keychain Access application.</li>
				<li>Drag and drop the <a href="#server.cert">server.cert</a> file into the "System" keychain.</li>
				<li>Find the certificate in the list <code>localhost</code>, double-click it, and expand the "Trust" section.</li>
				<li>Set "When using this certificate" to "Always Trust".</li>
				<li>Restart the nan•web application</li>
			</ol>
		</section>

		<section on-platform="lin">
			<h2>Instructions for Linux</h2>
			<ol>
				<li>Copy the certificate to the <code>/usr/local/share/ca-certificates/</code> directory:
					<pre>sudo cp <loc file="server.cert"></loc> /usr/local/share/ca-certificates/server.crt</pre>
				</li>
				<li>Update the CA certificates:
					<pre>sudo update-ca-certificates</pre>
				</li>
				<li>Restart the nan•web application</li>
			</ol>
		</section>
	</main>

	<script src="main.js" type="module"></script>
</body>
</html>
